Check if phone verification is required
curl --request POST \
--url {schemes}://api.upsun.com/me/phone \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/me/phone"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/me/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verify_phone": true
}Users
Check if phone verification is required
Find out if the current logged in user requires phone verification to create projects.
POST
/
me
/
phone
Check if phone verification is required
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
The information pertinent to determine if the account requires phone verification before project creation.
Does this user need to verify their phone number for project creation.
Last modified on June 16, 2026
Was this page helpful?
⌘I